import type { App as Application } from 'vue';
import { AxiosInstance } from 'axios';
import FlyMenuPlugin from '@flydiy/vue-core/menu';
declare const Plugin: {
    install(vue: Application, option: {
        BASE_CONFIG_NAME?: string;
        http: AxiosInstance;
    }): void;
};
export default Plugin;
export { FlyMenuPlugin };
export * from '@flydiy/vue-core/auth';
export * from '@flydiy/vue-core/env';
export * from '@flydiy/vue-core/http';
export * from '@flydiy/vue-core/interceptor';
export * from '@flydiy/vue-core/menu';
export * from '@flydiy/vue-core/model';
